@echo off
if exist cfg\tokiob.cfg move cfg\tokiob.cfg cfg\tokiob.bak
if exist hi\tokiob.hi move hi\tokiob.hi hi\tokiob.bak
if exist nvram\tokiob.nv move nvram\tokiob.nv nvram\tokiob.bak
if exist diff\tokiob.dif move diff\tokiob.dif diff\tokiob.bak

mame tokiob -record tokiob.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\tokiob.bak move cfg\tokiob.bak cfg\tokiob.cfg
if exist hi\tokiob.bak move hi\tokiob.bak hi\tokiob.hi
if exist nvram\tokiob.bak move nvram\tokiob.bak nvram\tokiob.nv
if exist diff\tokiob.bak move diff\tokiob.bak diff\tokiob.dif
